#include <stdio.h>
#include "word.h"
#include "defines.h"

#ifndef TOKENIZER
#define TOKENIZER

#define MAX_SEPARATOR_CHARS 51

typedef struct TokenizerStruct
{
    FILE *textFile;
    char separatorChars[MAX_SEPARATOR_CHARS];
} *Tokenizer;

#endif

Tokenizer createTokenizer(char fileName[], char separatorChars[]);
void destroyTokenizer(Tokenizer t);

BOOL getNextToken(Tokenizer t, char buffer[]);
