#include <stdio.h>
#include "word.h"
#include "defines.h"

#ifndef WORDLIST
#define WORDLIST

typedef struct
{
    Word value;
    int count;
} WordCount;

typedef struct ListElementStruct
{
    WordCount data;
    struct ListElementStruct* next;
};

typedef struct ListElementStruct *List;

#endif

List addWord(char buffer[], List l);
void destroyWordList(List l);

RESULT wordCounter(char fileName[], char separatorChars[], List *wordList);
void saveWordList(FILE *f, List l);